## org.apache.poi.hdf.generator
Class HDFFieldIterator

    java.lang.Object
      org.apache.poi.generator.FieldIterator
          org.apache.poi.hdf.generator.HDFFieldIterator

public class HDFFieldIterator
extends FieldIterator

This class overrides FieldIterator to handle HDF specific types

Field Summary

Fields inherited from class org.apache.poi.generator.FieldIterator
`offset`

Constructor Summary
`HDFFieldIterator()`

Method Summary
`java.lang.String` `fillDecoder(java.lang.String size, java.lang.String type)` This utility function returns a fill method entry for a given field

Methods inherited from class org.apache.poi.generator.FieldIterator
`calcSize, fillDecoder2, init, serialiseEncoder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HDFFieldIterator

    public HDFFieldIterator()

Method Detail

### fillDecoder

    public java.lang.String fillDecoder(java.lang.String size,
                                        java.lang.String type)

  Description copied from class: `FieldIterator`
  This utility function returns a fill method entry for a given field

  Overrides:
    `fillDecoder` in class `FieldIterator`
  Parameters:
    `size` - - how big of an "int" or the name of the size field for a string
    `type` - - int or string

Copyright © 2003 Apache Software Foundation.